<template>
  <div>
    <h2>Own Tweets</h2>
    <div v-if="user" class="container mx-auto">
      <Tweet v-for="tweet in ownTweets" :key="tweet.id" :tweet="tweet">
      </Tweet>
    </div>
    <div v-else>Please login</div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import Tweet from '../components/Tweet.vue'

export default {
  name: "OwnTweets",
  components: { Tweet },
  computed: mapGetters(['user', 'ownTweets']),
  methods: mapActions(['fetchOwnTweets']),
  created() {
    if(this.user) {
      this.fetchOwnTweets(this.user.id)
    }
  },
}
</script>

<style>

</style>
